package com.ruoyi.page.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.page.domain.QuartzLog;
import com.ruoyi.page.service.QuartzLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 定时任务日志表（quartz_log）表控制层
 * @author du
 * @since 2024/6/6 9:16
 */
@RestController
@RequestMapping("algorithms/quartzLog")
@Api(tags = "定时任务日志")
@Transactional(rollbackFor = Exception.class)
public class QuartzLogController extends BaseController {

    @Resource
    private QuartzLogService quartzLogService;

    /**
     * 分页条件查询所有数据
     *
     * @param page 分页条件
     * @return 所有数据
     */
    @GetMapping
    @ApiOperation(value = "分页条件查询定时任务日志", response = QuartzLog.class)
    public AjaxResult page(Page<QuartzLog> page, QuartzLog quartzLog) {
        return success(quartzLogService.page(page, quartzLog));
    }
}
