package com.ruoyi.page.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报警事件对象 alarm
 * 
 * @author ruoyi
 * @date 2024-05-30
 */
public class Alarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long emergencyEventId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventSource;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventStatus;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long warnResponseStatus;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyResponseStatus;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String emergencyEventTitle;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventLevel;

    /** 报警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报警时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date emergencyEventTime;

    /** 报警内容 */
    @Excel(name = "报警内容")
    private String emergencyEventDesc;

    /** 报警地址 */
    @Excel(name = "报警地址")
    private String emergencyEventAddress;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String emergencyEventArea;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal emergencyEventLon;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal emergencyEventLat;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String submitUnit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String submitUnitContact;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String submitUnitTelephone;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String reportPerson;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String reportPersonTelephone;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String fileUrls;

    /** 是否删除 0未删除 1删除 */
    private Integer delFlag;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sendOutTimes;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long groupId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isRehearsal;

    /** 报警电话 */
    @Excel(name = "报警电话")
    private String alarmPhoneNumber;

    /** 源id */
    @Excel(name = "源id")
    private String sourceId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isJudged;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String eventDetail;

    /** 预警大类 */
    @Excel(name = "预警大类")
    private String aiClass;

    /** 预警小类 */
    @Excel(name = "预警小类")
    private String aiClass2;

    /** 紧急程度 */
    @Excel(name = "紧急程度")
    private String aiLevel;

    /** 紧急系数 */
    @Excel(name = "紧急系数")
    private BigDecimal aiNum;

    public void setEmergencyEventId(Long emergencyEventId) 
    {
        this.emergencyEventId = emergencyEventId;
    }

    public Long getEmergencyEventId() 
    {
        return emergencyEventId;
    }
    public void setEmergencyEventSource(Long emergencyEventSource) 
    {
        this.emergencyEventSource = emergencyEventSource;
    }

    public Long getEmergencyEventSource() 
    {
        return emergencyEventSource;
    }
    public void setEmergencyEventStatus(Long emergencyEventStatus) 
    {
        this.emergencyEventStatus = emergencyEventStatus;
    }

    public Long getEmergencyEventStatus() 
    {
        return emergencyEventStatus;
    }
    public void setWarnResponseStatus(Long warnResponseStatus) 
    {
        this.warnResponseStatus = warnResponseStatus;
    }

    public Long getWarnResponseStatus() 
    {
        return warnResponseStatus;
    }
    public void setEmergencyResponseStatus(Long emergencyResponseStatus) 
    {
        this.emergencyResponseStatus = emergencyResponseStatus;
    }

    public Long getEmergencyResponseStatus() 
    {
        return emergencyResponseStatus;
    }
    public void setEmergencyEventTitle(String emergencyEventTitle) 
    {
        this.emergencyEventTitle = emergencyEventTitle;
    }

    public String getEmergencyEventTitle() 
    {
        return emergencyEventTitle;
    }
    public void setEmergencyEventType(Long emergencyEventType) 
    {
        this.emergencyEventType = emergencyEventType;
    }

    public Long getEmergencyEventType() 
    {
        return emergencyEventType;
    }
    public void setEmergencyEventLevel(Long emergencyEventLevel) 
    {
        this.emergencyEventLevel = emergencyEventLevel;
    }

    public Long getEmergencyEventLevel() 
    {
        return emergencyEventLevel;
    }
    public void setEmergencyEventTime(Date emergencyEventTime) 
    {
        this.emergencyEventTime = emergencyEventTime;
    }

    public Date getEmergencyEventTime() 
    {
        return emergencyEventTime;
    }
    public void setEmergencyEventDesc(String emergencyEventDesc) 
    {
        this.emergencyEventDesc = emergencyEventDesc;
    }

    public String getEmergencyEventDesc() 
    {
        return emergencyEventDesc;
    }
    public void setEmergencyEventAddress(String emergencyEventAddress) 
    {
        this.emergencyEventAddress = emergencyEventAddress;
    }

    public String getEmergencyEventAddress() 
    {
        return emergencyEventAddress;
    }
    public void setEmergencyEventArea(String emergencyEventArea) 
    {
        this.emergencyEventArea = emergencyEventArea;
    }

    public String getEmergencyEventArea() 
    {
        return emergencyEventArea;
    }
    public void setEmergencyEventLon(BigDecimal emergencyEventLon) 
    {
        this.emergencyEventLon = emergencyEventLon;
    }

    public BigDecimal getEmergencyEventLon() 
    {
        return emergencyEventLon;
    }
    public void setEmergencyEventLat(BigDecimal emergencyEventLat) 
    {
        this.emergencyEventLat = emergencyEventLat;
    }

    public BigDecimal getEmergencyEventLat() 
    {
        return emergencyEventLat;
    }
    public void setSubmitUnit(String submitUnit) 
    {
        this.submitUnit = submitUnit;
    }

    public String getSubmitUnit() 
    {
        return submitUnit;
    }
    public void setSubmitUnitContact(String submitUnitContact) 
    {
        this.submitUnitContact = submitUnitContact;
    }

    public String getSubmitUnitContact() 
    {
        return submitUnitContact;
    }
    public void setSubmitUnitTelephone(String submitUnitTelephone) 
    {
        this.submitUnitTelephone = submitUnitTelephone;
    }

    public String getSubmitUnitTelephone() 
    {
        return submitUnitTelephone;
    }
    public void setReportPerson(String reportPerson) 
    {
        this.reportPerson = reportPerson;
    }

    public String getReportPerson() 
    {
        return reportPerson;
    }
    public void setReportPersonTelephone(String reportPersonTelephone) 
    {
        this.reportPersonTelephone = reportPersonTelephone;
    }

    public String getReportPersonTelephone() 
    {
        return reportPersonTelephone;
    }
    public void setFileUrls(String fileUrls) 
    {
        this.fileUrls = fileUrls;
    }

    public String getFileUrls() 
    {
        return fileUrls;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setSendOutTimes(String sendOutTimes) 
    {
        this.sendOutTimes = sendOutTimes;
    }

    public String getSendOutTimes() 
    {
        return sendOutTimes;
    }
    public void setGroupId(Long groupId) 
    {
        this.groupId = groupId;
    }

    public Long getGroupId() 
    {
        return groupId;
    }
    public void setIsRehearsal(Long isRehearsal) 
    {
        this.isRehearsal = isRehearsal;
    }

    public Long getIsRehearsal() 
    {
        return isRehearsal;
    }
    public void setAlarmPhoneNumber(String alarmPhoneNumber) 
    {
        this.alarmPhoneNumber = alarmPhoneNumber;
    }

    public String getAlarmPhoneNumber() 
    {
        return alarmPhoneNumber;
    }
    public void setSourceId(String sourceId) 
    {
        this.sourceId = sourceId;
    }

    public String getSourceId() 
    {
        return sourceId;
    }
    public void setIsJudged(Long isJudged) 
    {
        this.isJudged = isJudged;
    }

    public Long getIsJudged() 
    {
        return isJudged;
    }
    public void setEventDetail(String eventDetail) 
    {
        this.eventDetail = eventDetail;
    }

    public String getEventDetail() 
    {
        return eventDetail;
    }
    public void setAiClass(String aiClass) 
    {
        this.aiClass = aiClass;
    }

    public String getAiClass() 
    {
        return aiClass;
    }
    public void setAiClass2(String aiClass2) 
    {
        this.aiClass2 = aiClass2;
    }

    public String getAiClass2() 
    {
        return aiClass2;
    }
    public void setAiLevel(String aiLevel) 
    {
        this.aiLevel = aiLevel;
    }

    public String getAiLevel() 
    {
        return aiLevel;
    }
    public void setAiNum(BigDecimal aiNum) 
    {
        this.aiNum = aiNum;
    }

    public BigDecimal getAiNum() 
    {
        return aiNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("emergencyEventId", getEmergencyEventId())
            .append("emergencyEventSource", getEmergencyEventSource())
            .append("emergencyEventStatus", getEmergencyEventStatus())
            .append("warnResponseStatus", getWarnResponseStatus())
            .append("emergencyResponseStatus", getEmergencyResponseStatus())
            .append("emergencyEventTitle", getEmergencyEventTitle())
            .append("emergencyEventType", getEmergencyEventType())
            .append("emergencyEventLevel", getEmergencyEventLevel())
            .append("emergencyEventTime", getEmergencyEventTime())
            .append("emergencyEventDesc", getEmergencyEventDesc())
            .append("emergencyEventAddress", getEmergencyEventAddress())
            .append("emergencyEventArea", getEmergencyEventArea())
            .append("emergencyEventLon", getEmergencyEventLon())
            .append("emergencyEventLat", getEmergencyEventLat())
            .append("submitUnit", getSubmitUnit())
            .append("submitUnitContact", getSubmitUnitContact())
            .append("submitUnitTelephone", getSubmitUnitTelephone())
            .append("reportPerson", getReportPerson())
            .append("reportPersonTelephone", getReportPersonTelephone())
            .append("remark", getRemark())
            .append("fileUrls", getFileUrls())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("sendOutTimes", getSendOutTimes())
            .append("groupId", getGroupId())
            .append("isRehearsal", getIsRehearsal())
            .append("alarmPhoneNumber", getAlarmPhoneNumber())
            .append("sourceId", getSourceId())
            .append("isJudged", getIsJudged())
            .append("eventDetail", getEventDetail())
            .append("aiClass", getAiClass())
            .append("aiClass2", getAiClass2())
            .append("aiLevel", getAiLevel())
            .append("aiNum", getAiNum())
            .toString();
    }
}
