package com.ruoyi.page.domain;

import cn.hutool.core.annotation.Alias;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 事故对象 event
 *
 * @author ruoyi
 * @date 2024-05-30
 */
@Data
@ApiModel("事故实体类")

public class Event extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 事件编码主键
     */
    @ApiModelProperty(value = "事件编码主键")
    private String eventId;
    /**
     * 事件标题
     */
    @ApiModelProperty(value = "事件标题")
    private String eventName;
    /**
     * 事件类型
     */
    @ApiModelProperty(value = "事件类型")
    private String eventType;
    /**
     * 事件等级
     */
    @ApiModelProperty(value = "事件等级")
    private String eventLevel;
    /**
     * 事发时间
     */
    @ApiModelProperty(value = "事发时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime eventDateTime;
    /**
     * 事发地区(行政区划)
     */
    @ApiModelProperty(value = "事发地区(行政区划)")
    private String eventArea;
    /**
     * 详细位置
     */
    @ApiModelProperty(value = "详细位置")
    private String eventAddress;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private String eventLongitude;
    /**
     * 维度
     */
    @ApiModelProperty(value = "维度")
    private String eventLatitude;
    /**
     * 出动次数（出动救护车次/辆数量）
     */
    @ApiModelProperty(value = "出动次数（出动救护车次/辆数量）")
    private Integer sendAmbCount;
    /**
     * 事件描述
     */
    @ApiModelProperty(value = "事件描述")
    private String eventDescribe;
    /**
     * 报送单位
     */
    @ApiModelProperty(value = "报送单位")
    private String alarmUnit;
    /**
     * 报送单位联系人
     */
    @ApiModelProperty(value = "报送单位联系人")
    private String alarmUnitContactor;
    /**
     * 报送单位联系电话
     */
    @ApiModelProperty(value = "报送单位联系电话")
    private String alarmUnitTelephone;
    /**
     * 附件资料
     */
    @ApiModelProperty(value = "附件资料")
    private String attachmentInfo;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 事故类型
     */
    @ApiModelProperty(value = "事故类型")
    @Alias("AccidentType")
    private String accidentType;

    /**
     * 110的emergency_event_id
     */
    @ApiModelProperty(value = "110的emergency_event_id")
    @TableField(value = "ai_110_id")
    private Long ai110Id;

}