package com.ruoyi.page.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 119数据(Fire)表实体类
 *
 * @author wu
 * @since 2024-06-05 09:24:14
 */
@Data
@ApiModel("119数据实体类")
@TableName(value = "fire")
public class Fire implements Serializable {

    private static final long serialVersionUID = -96682169109217319L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private String id;
    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    private String xzqh;
    /**
     * 案件编号
     */
    @ApiModelProperty(value = "案件编号")
    private String ajbh;
    /**
     * 案件描述
     */
    @ApiModelProperty(value = "案件描述")
    private String ajms;
    /**
     * 归队时间
     */
    @ApiModelProperty(value = "归队时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gdsj;

    private String jjyxm;
    /**
     * 时间戳
     */
    @ApiModelProperty(value = "时间戳")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sjc;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private String wd;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private String jd;
    /**
     * 备注信息
     */
    @ApiModelProperty(value = "备注信息")
    private String bcxx;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;
    /**
     * 案发地址
     */
    @ApiModelProperty(value = "案发地址")
    private String afdz;
    /**
     * 出动时间
     */
    @ApiModelProperty(value = "出动时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cdsj;
    /**
     * 立案方式代码
     */
    @ApiModelProperty(value = "立案方式代码")
    private String lafsdm;
    /**
     * topic
     */
    @ApiModelProperty(value = "topic")
    private String topic;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date xdsj;
    /**
     * 立案时间
     */
    @ApiModelProperty(value = "立案时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lasj;
    /**
     * 行政区划名称
     */
    @ApiModelProperty(value = "行政区划名称")
    private String xzqhmc;
    /**
     * 到达现场时间
     */
    @ApiModelProperty(value = "到达现场时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcsj;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}

