package com.ruoyi.page.domain.dto.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * Alarm查询请求类
 *
 * @author wu
 * @since 2024/4/30 下午3:59
 */
@ApiModel(value = "Alarm查询请求类")
@Data
public class AlarmFindRequest implements Serializable {


    private static final long serialVersionUID = 5773800327954649047L;
    /**
     * 报警时间开始时间
     */
    @ApiModelProperty("报警时间开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 报警时间结束时间
     */
    @ApiModelProperty("报警时间结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    /**
     * 创建时间开始时间
     */
    @ApiModelProperty("创建时间开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createStartTime;

    /**
     * 创建时间结束时间
     */
    @ApiModelProperty("创建时间结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createEndTime;

    /**
     * 报警内容
     */
    @ApiModelProperty(value = "报警内容")
    private String emergencyEventDesc;

    /**
     * 报警地址
     */
    @ApiModelProperty(value = "报警地址")
    private String emergencyEventAddress;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "报警电话")
    private String alarmPhoneNumber;

    /**
     * 预警大类
     */
    @ApiModelProperty(value = "预警大类")
    private String aiClass;

    /**
     * 预警小类
     */
    @ApiModelProperty(value = "预警小类")
    private String aiClass2;

    /**
     * 紧急程度
     */
    @ApiModelProperty(value = "紧急程度")
    private String aiLevel;

    /**
     * 紧急系数最小值
     */
    @ApiModelProperty(value = "紧急系数最小值")
    private Double aiNumMin;

    /**
     * 紧急系数最小值
     */
    @ApiModelProperty(value = "紧急系数最大值")
    private Double aiNumMax;
}
