package com.ruoyi.page.domain.dto.request;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 事故(Event)表实体类
 *
 * @author wu
 * @since 2024-05-10 17:10:32
 */
@Data
@ApiModel("事故分页查询请求类")
public class EventPageRequest implements Serializable {


    private static final long serialVersionUID = -5290914853773569936L;

    /**
     * 事件标题
     */
    @ApiModelProperty(value = "事件标题")
    private String eventName;
    /**
     * 事件类型
     */
    @ApiModelProperty(value = "事件类型")
    private String eventType;
    /**
     * 事件等级
     */
    @ApiModelProperty(value = "事件等级")
    private String eventLevel;

    /**
     * 事发开始时间
     */
    @ApiModelProperty(value = "事发开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 事发结束时间
     */
    @ApiModelProperty(value = "事发结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    /**
     * 创建时间开始时间
     */
    @ApiModelProperty(value = "创建时间开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createStartTime;

    /**
     * 创建时间结束时间
     */
    @ApiModelProperty(value = "创建时间结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createEndTime;
    /**
     * 事发地区(行政区划)
     */
    @ApiModelProperty(value = "事发地区(行政区划)")
    private String eventArea;
    /**
     * 详细位置
     */
    @ApiModelProperty(value = "详细位置")
    private String eventAddress;
    /**
     * 出动次数（出动救护车次/辆数量）
     */
    @ApiModelProperty(value = "出动次数（出动救护车次/辆数量）")

    private Integer sendAmbCount;
    /**
     * 事件描述
     */
    @ApiModelProperty(value = "事件描述")

    private String eventDescribe;
    /**
     * 报送单位
     */
    @ApiModelProperty(value = "报送单位")

    private String alarmUnit;
    /**
     * 报送单位联系人
     */
    @ApiModelProperty(value = "报送单位联系人")

    private String alarmUnitContactor;
    /**
     * 报送单位联系电话
     */
    @ApiModelProperty(value = "报送单位联系电话")

    private String alarmUnitTelephone;

}

