package com.yingji.entity.dto.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 119查询请求类
 *
 * @author wu
 * @since 2024/4/30 下午3:59
 */
@ApiModel(value = "119查询请求类")
@Data
public class FireFindRequest implements Serializable {


    private static final long serialVersionUID = -3688091864596277161L;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    /**
     * 案件编号
     */
    @ApiModelProperty(value = "案件编号")
    private String ajbh;
    /**
     * 案件描述
     */
    @ApiModelProperty(value = "案件描述")
    private String ajms;

    /**
     * 案发地址
     */
    @ApiModelProperty(value = "案发地址")
    private String afdz;
}
