package com.ruoyi.page.mapper;

import com.ruoyi.page.domain.Event;
import com.ruoyi.page.domain.dto.request.EventPageRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 事故Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-30
 */
public interface EventMapper 
{
    /**
     * 查询事故
     * 
     * @param eventId 事故主键
     * @return 事故
     */
    public Event selectEventByEventId(String eventId);

    /**
     * 查询事故列表
     * 
     * @param event 事故
     * @return 事故集合
     */
    public List<Event> selectEventList(@Param("event") EventPageRequest event);

    /**
     * 新增事故
     * 
     * @param event 事故
     * @return 结果
     */
    public int insertEvent(Event event);

    /**
     * 修改事故
     * 
     * @param event 事故
     * @return 结果
     */
    public int updateEvent(Event event);

    /**
     * 删除事故
     * 
     * @param eventId 事故主键
     * @return 结果
     */
    public int deleteEventByEventId(String eventId);

    /**
     * 批量删除事故
     * 
     * @param eventIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEventByEventIds(String[] eventIds);
}
