package com.ruoyi.page.service;

import java.util.List;
import com.ruoyi.page.domain.Alarm;
import com.ruoyi.page.domain.dto.request.AlarmFindRequest;

/**
 * 报警事件Service接口
 * 
 * @author ruoyi
 * @date 2024-05-30
 */
public interface IAlarmService 
{
    /**
     * 查询报警事件
     * 
     * @param emergencyEventId 报警事件主键
     * @return 报警事件
     */
    public Alarm selectAlarmByEmergencyEventId(Long emergencyEventId);

    /**
     * 查询报警事件列表
     * 
     * @param req 报警事件
     * @return 报警事件集合
     */
    public List<Alarm> selectAlarmList(AlarmFindRequest req);

    /**
     * 新增报警事件
     * 
     * @param alarm 报警事件
     * @return 结果
     */
    public int insertAlarm(Alarm alarm);

    /**
     * 修改报警事件
     * 
     * @param alarm 报警事件
     * @return 结果
     */
    public int updateAlarm(Alarm alarm);

    /**
     * 批量删除报警事件
     * 
     * @param emergencyEventIds 需要删除的报警事件主键集合
     * @return 结果
     */
    public int deleteAlarmByEmergencyEventIds(Long[] emergencyEventIds);

    /**
     * 删除报警事件信息
     * 
     * @param emergencyEventId 报警事件主键
     * @return 结果
     */
    public int deleteAlarmByEmergencyEventId(Long emergencyEventId);
}
