package com.ruoyi.page.service.impl;

import com.ruoyi.page.domain.Event;
import com.ruoyi.page.domain.dto.request.EventPageRequest;
import com.ruoyi.page.mapper.EventMapper;
import com.ruoyi.page.service.IEventService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 事故Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-30
 */
@Service
public class EventServiceImpl implements IEventService
{
    @Resource
    private EventMapper eventMapper;

    /**
     * 查询事故
     * 
     * @param eventId 事故主键
     * @return 事故
     */
    @Override
    public Event selectEventByEventId(String eventId)
    {
        return eventMapper.selectEventByEventId(eventId);
    }

    /**
     * 查询事故列表
     * 
     * @param req 事故
     * @return 事故
     */
    @Override
    public List<Event> selectEventList(EventPageRequest req)
    {
        return eventMapper.selectEventList(req);
    }

    /**
     * 新增事故
     * 
     * @param event 事故
     * @return 结果
     */
    @Override
    public int insertEvent(Event event)
    {
        return eventMapper.insertEvent(event);
    }

    /**
     * 修改事故
     * 
     * @param event 事故
     * @return 结果
     */
    @Override
    public int updateEvent(Event event)
    {
        return eventMapper.updateEvent(event);
    }

    /**
     * 批量删除事故
     * 
     * @param eventIds 需要删除的事故主键
     * @return 结果
     */
    @Override
    public int deleteEventByEventIds(String[] eventIds)
    {
        return eventMapper.deleteEventByEventIds(eventIds);
    }

    /**
     * 删除事故信息
     * 
     * @param eventId 事故主键
     * @return 结果
     */
    @Override
    public int deleteEventByEventId(String eventId)
    {
        return eventMapper.deleteEventByEventId(eventId);
    }
}
