package com.ruoyi.page.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.page.domain.Fire;
import com.ruoyi.page.mapper.FireMapper;
import com.ruoyi.page.service.FireService;
import com.yingji.entity.dto.request.FireFindRequest;
import org.springframework.stereotype.Service;

/**
 * 119数据(Fire)表服务实现类
 *
 * @author wu
 * @since 2024-06-05 09:24:14
 */
@Service("fireService")
public class FireServiceImpl extends ServiceImpl<FireMapper, Fire> implements FireService {

    /**
     * 分页条件查询所有数据
     *
     * @param page 分页条件
     * @param fire 查询条件
     * @return 所有数据
     */
    @Override
    public Page<Fire> page(Page<Fire> page, FireFindRequest fire) {
        QueryWrapper<Fire> wrapper = new QueryWrapper<>();
        wrapper.like(StrUtil.isNotEmpty(fire.getAjbh()), "ajbh", fire.getAjbh())
                .ge(fire.getStartTime() != null, "create_time", fire.getStartTime())
                .le(fire.getEndTime() != null, "create_time", fire.getEndTime())
                .like(StrUtil.isNotEmpty(fire.getAjms()), "ajms", fire.getAjms())
                .like(StrUtil.isNotEmpty(fire.getAfdz()), "afdz", fire.getAfdz())
                .orderByDesc("create_time");
        return this.page(page, wrapper);
    }
}

