package com.yingji.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yingji.entity.Alarm;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 报警事件(Alarm)表数据库访问层
 *
 * @author wu
 * @since 2024-05-06 09:15:01
 */
public interface AlarmMapper extends BaseMapper<Alarm> {


    /**
     * 获取最新一条数据的时间
     *
     * @return 最新一条数据的时间
     */
    LocalDateTime findNowTime();

    /**
     * 批量插入数据
     *
     * @param list 数据
     */
    void saveAll(List<Alarm> list);
}

