package com.yingji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yingji.entity.Alarm;
import com.yingji.entity.dto.request.AlarmRequest;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 报警事件(Alarm)表服务接口
 *
 * @author wu
 * @since 2024-05-06 09:15:01
 */
public interface AlarmService extends IService<Alarm> {


    /**
     * 查询数据Id
     *
     * @param req   查询条件
     * @param token token
     * @return 数据IdList
     */
    List<String> findDataIdList(AlarmRequest req, String token);

    /**
     * 查询数据
     *
     * @param req   查询条件
     * @param token token
     * @return 数据List
     */
    Alarm findDataList(AlarmRequest req, String token);

    /**
     * 获取110token
     *
     * @return token
     */
    String getToken();

    /**
     * 获取最新一条数据的时间
     *
     * @return 最新一条数据的时间
     */
    LocalDateTime findNowTime();

    /**
     * 批量插入数据
     *
     * @param list 数据
     */
    void saveAll(List<Alarm> list);
}

