package com.yingji.entity;

import cn.hutool.core.annotation.Alias;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 受理调度信息(Accept)表实体类
 *
 * @author wu
 * @since 2024-05-10 17:10:32
 */
@Data
@ApiModel("受理调度信息实体类")
@TableName(value = "accept")
public class AcceptEvents implements Serializable {

    private static final long serialVersionUID = 817570017991202657L;
    /**
     * 受理编码 主键
     */
    @ApiModelProperty(value = "受理编码 主键")
    @Alias("AcceptId")
    @TableId
    private String acceptId;
    /**
     * 呼救电话
     */
    @ApiModelProperty(value = "呼救电话")
    @Alias("AlarmTelephone")
    private String alarmTelephone;
    /**
     * 病种判断
     */
    @ApiModelProperty(value = "病种判断")
    @Alias("DiseaseJudge")
    private String diseaseJudge;
    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    @Alias("PatientName")
    private String patientName;
    /**
     * 患者性别
     */
    @ApiModelProperty(value = "患者性别")
    @Alias("PatientSex")
    private String patientSex;
    /**
     * 患者年龄
     */
    @ApiModelProperty(value = "患者年龄")
    @Alias("PatientAge")
    private String patientAge;
    /**
     * 受理类型
     */
    @ApiModelProperty(value = "受理类型")
    @Alias("AcceptType")
    private String acceptType;
    /**
     * 责任受理人
     */
    @ApiModelProperty(value = "责任受理人")
    @Alias("ResponsibleRecipient")
    private String responsibleRecipient;
    /**
     * 现场地址
     */
    @ApiModelProperty(value = "现场地址")
    @Alias("EventAddress")
    private String eventAddress;
    /**
     * 等车地点
     */
    @ApiModelProperty(value = "等车地点")
    @Alias("WaitAddress")
    private String waitAddress;
    /**
     * 送往地点
     */
    @ApiModelProperty(value = "送往地点")
    @Alias("SendAddress")
    private String sendAddress;
    /**
     * 电话振铃时刻
     */
    @ApiModelProperty(value = "电话振铃时刻")
    @Alias("RingDateTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime ringDateTime;
    /**
     * 开始受理时刻
     */
    @ApiModelProperty(value = "开始受理时刻")
    @Alias("StartAcceptDateTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startAcceptDateTime;
    /**
     * 结束受理时刻
     */
    @ApiModelProperty(value = "结束受理时刻")
    @Alias("EndAcceptDateTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endAcceptDateTime;
    /**
     * 发送指令时刻
     */
    @ApiModelProperty(value = "发送指令时刻")
    @Alias("SendOrderDateTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sendOrderDateTime;
    /**
     * 事件编码
     */
    @ApiModelProperty(value = "事件编码")
    @Alias("EventId")
    private String eventId;
    /**
     * 受理序号
     */
    @ApiModelProperty(value = "受理序号")
    @Alias("AcceptOrder")
    private String acceptOrder;

}

