package com.yingji.entity;


import cn.hutool.core.annotation.Alias;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * 任务车辆(Amb)表实体类
 *
 * @author wu
 * @since 2024-05-10 17:10:32
 */
@Data
@ApiModel("任务车辆实体类")
@TableName(value = "amb")
public class Amb implements Serializable {

    private static final long serialVersionUID = -69012811106234254L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 任务id
     */
    @ApiModelProperty(value = "任务id")
    private String taskId;
    /**
     * 车牌号码
     */
    @ApiModelProperty(value = "车牌号码")
    @Alias("PlateNumber")
    private String plateNumber;
    /**
     * 实际标识
     */
    @ApiModelProperty(value = "实际标识")
    @Alias("RealSign")
    private String realSign;
    /**
     * 车辆编码
     */
    @ApiModelProperty(value = "车辆编码")
    @Alias("AmbCode")
    private String ambCode;
    /**
     * 分站
     */
    @ApiModelProperty(value = "分站")
    @Alias("StationName")
    private String stationName;
    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "车辆类型")
    @Alias("AmbType")
    private String ambType;
    /**
     * 随车电话
     */
    @ApiModelProperty(value = "随车电话")
    @Alias("AmbPhone")
    private String ambPhone;
}

