package com.yingji.entity.dto.response;

import cn.hutool.core.annotation.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yingji.entity.AcceptEvents;
import com.yingji.entity.Amb;
import com.yingji.entity.Task;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author wu
 * @since 2024/4/30 下午4:24
 */
@Data
@ApiModel(value = "响应类")
public class EventsFindResponse implements Serializable {

    private static final long serialVersionUID = -3894493286879970663L;

    /**
     * 受理调度信息
     */
    @ApiModelProperty(value = "受理调度信息")
    private List<AcceptEvents> acceptEvents;

    /**
     * 任务车辆
     */
    @ApiModelProperty(value = "任务车辆")
    private List<Amb> ambs;

    /**
     * 任务信息
     */
    @ApiModelProperty(value = "任务信息")
    private List<Task> tasks;

    /**
     * 事件编码主键
     */
    @ApiModelProperty(value = "事件编码主键")
    @Alias("EventId")
    private String eventId;
    /**
     * 事件标题
     */
    @ApiModelProperty(value = "事件标题")
    @Alias("EventName")
    private String eventName;
    /**
     * 事件类型
     */
    @ApiModelProperty(value = "事件类型")
    @Alias("EventType")
    private String eventType;
    /**
     * 事件等级
     */
    @ApiModelProperty(value = "事件等级")
    @Alias("EventLevel")
    private String eventLevel;
    /**
     * 事发时间
     */
    @ApiModelProperty(value = "事发时间")
    @Alias("EventDateTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime eventDateTime;
    /**
     * 事发地区(行政区划)
     */
    @ApiModelProperty(value = "事发地区(行政区划)")
    @Alias("EventArea")
    private String eventArea;
    /**
     * 详细位置
     */
    @ApiModelProperty(value = "详细位置")
    @Alias("EventAddress")
    private String eventAddress;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    @Alias("EventLongitude")
    private String eventLongitude;
    /**
     * 维度
     */
    @ApiModelProperty(value = "维度")
    @Alias("EventLatitude")
    private String eventLatitude;
    /**
     * 出动次数（出动救护车次/辆数量）
     */
    @ApiModelProperty(value = "出动次数（出动救护车次/辆数量）")
    @Alias("SendAmbCount")
    private Integer sendAmbCount;
    /**
     * 事件描述
     */
    @ApiModelProperty(value = "事件描述")
    @Alias("EventDescribe")
    private String eventDescribe;
    /**
     * 报送单位
     */
    @ApiModelProperty(value = "报送单位")
    @Alias("AlarmUnit")
    private String alarmUnit;
    /**
     * 报送单位联系人
     */
    @ApiModelProperty(value = "报送单位联系人")
    @Alias("AlarmUnitContactor")
    private String alarmUnitContactor;
    /**
     * 报送单位联系电话
     */
    @ApiModelProperty(value = "报送单位联系电话")
    @Alias("AlarmUnitTelephone")
    private String alarmUnitTelephone;
    /**
     * 附件资料
     */
    @ApiModelProperty(value = "附件资料")
    @Alias("AttachmentInfo")
    private String attachmentInfo;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @Alias("Remark")
    private String remark;

}
