package com.yingji.entity.dto.response;

import cn.hutool.core.annotation.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yingji.entity.AcceptEvents;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author wu
 * @since 2024/4/30 下午4:24
 */
@Data
public class EventsResponse implements Serializable {

    private static final long serialVersionUID = -3894493286879970663L;

    /**
     * 受理调度信息
     */
    @Alias("AcceptEvents")
    @ApiModelProperty(value = "受理调度信息")
    private List<AcceptEvents> acceptEvents;

    @Alias("TaskInfos")
    private List<TaskInfos> taskInfos;

    /**
     * 事件标题
     */
    @Alias("EventName")
    @ApiModelProperty(value = "事件标题")
    private String eventName;

    /**
     * 事件类型
     */
    @Alias("EventType")
    @ApiModelProperty(value = "事件类型")
    private String eventType;

    /**
     * 事件等级
     */
    @Alias("EventLevel")
    @ApiModelProperty(value = "事件等级")
    private String eventLevel;

    /**
     * 事发时间
     */
    @Alias("EventDateTime")
    @ApiModelProperty(value = "事发时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime eventDateTime;

    /**
     * 事件描述
     */
    @Alias("EventDescribe")
    @ApiModelProperty(value = "事件描述")
    private String eventDescribe;

    /**
     * 事发地区(行政区划)
     */
    @Alias("EventArea")
    @ApiModelProperty(value = "事发地区(行政区划)")
    private String eventArea;

    /**
     * 详细位置
     */
    @Alias("EventAddress")
    @ApiModelProperty(value = "详细位置")
    private String eventAddress;

    /**
     * 经度
     */
    @Alias("EventLongitude")
    @ApiModelProperty(value = "经度")
    private String eventLongitude;

    /**
     * 维度
     */
    @Alias("EventLatitude")
    @ApiModelProperty(value = "维度")
    private Double eventLatitude;

    /**
     * 报送单位
     */
    @Alias("AlarmUnit")
    @ApiModelProperty(value = "报送单位")
    private String alarmUnit;

    /**
     * 报送单位联系人
     */
    @Alias("AlarmUnitContactor")
    @ApiModelProperty(value = "报送单位联系人")
    private String alarmUnitContactor;

    /**
     * 报送单位联系电话
     */
    @Alias("AlarmUnitTelephone")
    @ApiModelProperty(value = "报送单位联系电话")
    private String alarmUnitTelephone;

    /**
     * 出动次数（出动救护车次/辆数量）
     */
    @Alias("SendAmbCount")
    @ApiModelProperty(value = "出动次数（出动救护车次/辆数量）")
    private Integer sendAmbCount;

    /**
     * 附件资料
     */
    @Alias("AttachmentInfo")
    @ApiModelProperty(value = "附件资料")
    private String attachmentInfo;

    /**
     * 备注
     */
    @Alias("Remark")
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 事件编码 主键
     */
    @Alias("EventId")
    @ApiModelProperty(value = "事件编码 主键")
    private String eventId;

}
