package com.yingji.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yingji.entity.Alarm;
import com.yingji.entity.dto.request.AlarmFindRequest;
import com.yingji.entity.dto.request.AlarmRequest;

import java.util.List;

/**
 * 报警事件(Alarm)表服务接口
 *
 * @author wu
 * @since 2024-05-06 09:15:01
 */
public interface AlarmService extends IService<Alarm> {

    /**
     * 同步数据
     *
     * @param startTime 开始时间
     * @param entTime   结束时间
     */
    void synchronous(String startTime, String entTime);


    /**
     * 查询数据Id
     *
     * @param req   查询条件
     * @param token token
     * @return 数据IdList
     */
    List<String> findDataIdList(AlarmRequest req, String token);

    /**
     * 查询数据
     *
     * @param req   查询条件
     * @param token token
     * @return 数据List
     */
    Alarm findDataList(AlarmRequest req, String token);

    /**
     * 获取110token
     *
     * @return token
     */
    String getToken();

    /**
     * 分页条件查询数据
     *
     * @param page 分页条件
     * @param req  查询条件
     * @return 数据
     */
    Page<Alarm> page(Page<Alarm> page, AlarmFindRequest req);

}

