package com.yingji.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yingji.entity.Event;
import com.yingji.entity.dto.response.EventPageRequest;
import com.yingji.entity.dto.response.EventsFindResponse;

import java.io.Serializable;

/**
 * 事故(Event)表服务接口
 *
 * @author wu
 * @since 2024-05-10 17:10:33
 */
public interface EventService extends IService<Event> {

    /**
     * 分页条件查询数据
     *
     * @param page  分页条件
     * @param event 查询条件
     * @return 数据
     */
    Page<Event> page(Page<Event> page, EventPageRequest event);

    /**
     * 根据id查询数据
     *
     * @param id id
     * @return 数据
     */
    EventsFindResponse findById(Serializable id);
}

