package com.yingji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yingji.entity.Source;

import java.util.List;

/**
 * (Source)表服务接口
 *
 * @author wu
 * @since 2024-05-07 18:03:09
 */
public interface SourceService extends IService<Source> {

    /**
     * 保存任务源id
     *
     * @param list 任务源id
     */
    void addList(List<String> list);

    /**
     * 查询所有sourceId
     *
     * @return SourceIdList
     */
    List<String> findSourceAll();

    /**
     * 根据sourceId删除
     * @param sourceId 源id
     */
    void delBySourceId(String sourceId);
}

