package com.yingji.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 定时任务日志表（quartz_log）表实体类
 * @author du
 * @since 2024/6/6 9:21
 */
@Data
@ApiModel("定时任务日志实体类")
@TableName(value = "quartz_log")
public class QuartzLog implements Serializable {

    private static final long serialVersionUID = -96682169109217319L;


    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态 1成功 2失败")
    private Integer status;

    /**
     * 接口
     */
    @ApiModelProperty(value = "接口 1.110 2.119 3.120 ")
    private Integer interfaceName;
}
