package com.yingji.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yingji.entity.EventClass;
import com.yingji.mapper.EventClassMapper;
import com.yingji.service.EventClassService;
import org.springframework.stereotype.Service;

/**
 * (AcceptClass)表服务实现类
 *
 * @author wu
 * @since 2024-06-14 14:32:49
 */
@Service("acceptClassService")
public class EventClassServiceImpl extends ServiceImpl<EventClassMapper, EventClass> implements EventClassService {

    /**
     * 根据事件类型编码查询事件类型
     *
     * @param accidentType 编码
     * @return 事件类型
     */
    @Override
    public EventClass findByAccidentType(String accidentType) {
        QueryWrapper<EventClass> wrapper = new QueryWrapper<>();
        wrapper.eq("accident_type", accidentType);
        return baseMapper.selectOne(wrapper);
    }
}

